Subject: Re: [PATCH] Allow HTTP proxy to be overridden in config

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Nov 2007 16:28:28 -0800

Sam Vilain <[email-masked]> writes:

> The http_proxy / HTTPS_PROXY variables used by curl to control
> proxying may not be suitable for git.  Allow the user to override them
> in the configuration file.
> ---
>   In particular, privoxy will block directories called /ad/ ... d'oh!

> diff --git a/Documentation/config.txt b/Documentation/config.txt
> index 7ee97df..859a7f3 100644
> --- a/Documentation/config.txt
> +++ b/Documentation/config.txt
> @@ -515,6 +515,10 @@ specified as 'gitcvs.<access_method>.<varname>' (where 'access_method'
>  is one of "ext" and "pserver") to make them apply only for the given
>  access method.
>  
> +http.proxy::
> +	Override the HTTP proxy, normally configured using the 'http_proxy'
> +	environment variable (see gitlink:curl[1]).
> +

This may work around the issue you cited, but it makes me wonder
if it is a road to insanity.  Does the curl library expect that
(1) each and every HTTP talking application that uses the
library offer this kind of knob for its users to tweak, and (2)
users set the knob for each and every one of such application?

I would say if privoxy cannot be tweaked to allow /ad/ in chosen
context (e.g. /ad/ in general is rejected but /objects/ad/ is
Ok), that is what needs to be fixed.

Or it would be the use of such a broken proxy by the user.  That
can be fixed and much easily.